net.snowflake.client.core

## Class FileTypeDetector

- java.lang.Object
- - java.nio.file.spi.FileTypeDetector
  - - net.snowflake.client.core.FileTypeDetector

    public class FileTypeDetector
    extends FileTypeDetector

Use Tika to detect the mime type of files

Author:
  jhuang

### Constructor Summary

Constructors
Constructor and Description
`FileTypeDetector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `probeContentType(Path path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileTypeDetector

    public FileTypeDetector()

### Method Detail

#### probeContentType

    public String probeContentType(Path path)
                            throws IOException

Specified by:
  `probeContentType` in class `FileTypeDetector`
Throws:
  `IOException`